r"""Contain some periodic sequence generators."""

from __future__ import annotations

__all__ = [
    "BasePeriodicSequenceGenerator",
    "Repeat",
    "RepeatPeriodicSequenceGenerator",
    "SineWave",
    "SineWavePeriodicSequenceGenerator",
    "is_periodic_sequence_generator_config",
    "setup_periodic_sequence_generator",
]

from startorch.periodic.sequence.base import (
    BasePeriodicSequenceGenerator,
    is_periodic_sequence_generator_config,
    setup_periodic_sequence_generator,
)
from startorch.periodic.sequence.repeat import RepeatPeriodicSequenceGenerator
from startorch.periodic.sequence.repeat import RepeatPeriodicSequenceGenerator as Repeat
from startorch.periodic.sequence.wave import SineWavePeriodicSequenceGenerator
from startorch.periodic.sequence.wave import (
    SineWavePeriodicSequenceGenerator as SineWave,
)
